# Class BasicInputThreadLocal

java.lang.Object
java.lang.ThreadLocal<BasicInput>
uk.ac.starlink.fits.BasicInputThreadLocal

All Implemented Interfaces:
  `Closeable, AutoCloseable`

public class BasicInputThreadLocal extends ThreadLocal<BasicInput> implements Closeable
ThreadLocal based on an InputFactory. This can dispense a BasicInput object private to the current thread. The close method will close all the BasicInput objects that this has created so far.

Since:
  30 Jun 2017
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`BasicInputThreadLocal(InputFactory inputFact, boolean isSeq)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`protected BasicInput`
`initialValue()`

### Methods inherited from class ThreadLocal

`get, remove, set, withInitial`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BasicInputThreadLocal

public BasicInputThreadLocal(InputFactory inputFact, boolean isSeq)
Constructor.

Parameters:
  `inputFact` - factory for BasicInput objects
  `isSeq` - true if created inputs are sequential, false for random

## Method Details

### initialValue

protected BasicInput initialValue()

Overrides:
  `initialValue` in class `ThreadLocal<BasicInput>`

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`